{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.sys.androidSupport;
in {
  options.local.sys.androidSupport = {
    enable = mkEnableOption "androidSupport settings";
  };
  config = mkIf cfg.enable {
    services.udev.packages = with pkgs; [
      android-udev-rules
    ];
  };
}
